Bug 1445311 - [RFE] CFME 4.1 EMS Refresh should be targeted for folder create, as opposed to a full EMS Refresh
Summary: [RFE] CFME 4.1 EMS Refresh should be targeted for folder create, as opposed t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1378984
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 13:17 UTC by Satoe Imaishi
Modified: 2020-04-15 15:34 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.12
Doc Type: Enhancement
Doc Text:
Clone Of: 1378984
Environment:
Last Closed: 2017-05-31 15:00:10 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-25 13:28:40 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/fine:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/e1709accc9f997dac0488a0ee45dc7554d96ab82

commit e1709accc9f997dac0488a0ee45dc7554d96ab82
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Apr 24 09:38:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 25 09:26:44 2017 -0400

    Merge pull request #32 from agrare/folder_targeted_refresh
    
    Allow folder as refresh target
    (cherry picked from commit fe45b7ccfa2c92daf40cc6b06e19684e58b8d0e7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445311

 .../providers/vmware/infra_manager/event_parser.rb |  19 +++
 .../vmware/infra_manager/refresh_parser/filter.rb  |  90 +++++++++++++-
 .../providers/vmware/infra_manager/refresher.rb    |   4 +-
 .../infra_manager/refresh_parser/filter_spec.rb    | 134 ++++++++++++++++++++-
 4 files changed, 240 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-04-25 13:36:10 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4d484dc4196f9ad35c1d75adf3f51feb03480d03

commit 4d484dc4196f9ad35c1d75adf3f51feb03480d03
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Apr 24 12:20:46 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 25 09:30:11 2017 -0400

    Merge pull request #14460 from agrare/bz_1378984_new_folder_targeted_refresh
    
    New folder targeted refresh [Depends on vmware/32]
    (cherry picked from commit d199f44cd9a1ee5202f14222a9c74ed3f5fc9c7f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445311

 app/models/ems_refresh.rb                        |  2 +-
 app/models/ems_refresh/save_inventory.rb         |  7 +++---
 app/models/ems_refresh/save_inventory_infra.rb   |  2 +-
 app/models/miq_vim_broker_worker/runner.rb       | 10 ++++++---
 spec/models/miq_vim_broker_worker/runner_spec.rb | 28 ++++++++++++++++++++++++
 5 files changed, 41 insertions(+), 8 deletions(-)

Comment 4 CFME Bot 2017-04-25 13:38:14 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/5a3e8794f53b95e0155e06aa9e6f48a8e371f918

commit 5a3e8794f53b95e0155e06aa9e6f48a8e371f918
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr 24 13:45:40 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 25 09:33:41 2017 -0400

    Merge pull request #100 from agrare/bz_1378984_new_folder_targeted_refresh
    
    Remove createfolder event handler since it is now handled by MiqVimBrokerWorker
    (cherry picked from commit bc925cd28553330e5b7cade15dceab15ad356947)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445311

 .../System/Event/EmsEvent/VC.class/createfolder.yaml         | 12 ------------
 1 file changed, 12 deletions(-)
 delete mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/VC.class/createfolder.yaml

Comment 5 Nandini Chandra 2017-05-11 19:18:49 UTC
Verified in 5.8.0.14

Comment 7 errata-xmlrpc 2017-05-31 15:00:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.